"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getLink = exports.Tool = void 0;

var _react = _interopRequireDefault(require("react"));

var _components = require("@storybook/components");

var _constants = require("./constants");

var _api = require("@storybook/api");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var Tooltip = function Tooltip() {
  return /*#__PURE__*/_react["default"].createElement(_components.TooltipMessage, {
    title: "Repository Link",
    desc: "No repository link set in this story",
    links: [{
      title: 'More Info',
      onClick: function onClick() {
        window.open(_constants.INFO_LINK);
      }
    }]
  });
};

var getLink = function getLink(prefix, link) {
  if (!link) return null;
  if (prefix) link = "".concat(prefix).concat(link);
  return link;
};

exports.getLink = getLink;

var Tool = function Tool() {
  var param_link = (0, _api.useParameter)(_constants.PARAM_KEY, null);
  var param_prefix = (0, _api.useParameter)(_constants.PREFIX_PARAM_KEY, null);
  var param_icon = (0, _api.useParameter)(_constants.ICON_PARAM_KEY, "repository");
  var link = getLink(param_prefix, param_link);
  return link ? /*#__PURE__*/_react["default"].createElement(_components.IconButton, {
    key: _constants.TOOL_ID,
    title: "View Source Repository: ".concat(link),
    active: true,
    onClick: function onClick() {
      if (link) {
        window.open(link);
      }
    }
  }, /*#__PURE__*/_react["default"].createElement(_components.Icons, {
    icon: param_icon
  })) : /*#__PURE__*/_react["default"].createElement(_components.WithTooltip, {
    placement: "top",
    trigger: "click",
    tooltip: /*#__PURE__*/_react["default"].createElement(Tooltip, null)
  }, /*#__PURE__*/_react["default"].createElement(_components.IconButton, {
    key: _constants.TOOL_ID,
    title: "View Source Repository",
    active: false
  }, /*#__PURE__*/_react["default"].createElement(_components.Icons, {
    icon: param_icon
  })));
};

exports.Tool = Tool;