import React from "react";
import { Icons, IconButton, TooltipMessage, WithTooltip } from "@storybook/components";
import { PARAM_KEY, PREFIX_PARAM_KEY, ICON_PARAM_KEY, INFO_LINK, TOOL_ID } from "./constants";
import { useParameter } from '@storybook/api';

var Tooltip = function Tooltip() {
  return /*#__PURE__*/React.createElement(TooltipMessage, {
    title: "Repository Link",
    desc: "No repository link set in this story",
    links: [{
      title: 'More Info',
      onClick: function onClick() {
        window.open(INFO_LINK);
      }
    }]
  });
};

export var getLink = function getLink(prefix, link) {
  if (!link) return null;
  if (prefix) link = "".concat(prefix).concat(link);
  return link;
};
export var Tool = function Tool() {
  var param_link = useParameter(PARAM_KEY, null);
  var param_prefix = useParameter(PREFIX_PARAM_KEY, null);
  var param_icon = useParameter(ICON_PARAM_KEY, "repository");
  var link = getLink(param_prefix, param_link);
  return link ? /*#__PURE__*/React.createElement(IconButton, {
    key: TOOL_ID,
    title: "View Source Repository: ".concat(link),
    active: true,
    onClick: function onClick() {
      if (link) {
        window.open(link);
      }
    }
  }, /*#__PURE__*/React.createElement(Icons, {
    icon: param_icon
  })) : /*#__PURE__*/React.createElement(WithTooltip, {
    placement: "top",
    trigger: "click",
    tooltip: /*#__PURE__*/React.createElement(Tooltip, null)
  }, /*#__PURE__*/React.createElement(IconButton, {
    key: TOOL_ID,
    title: "View Source Repository",
    active: false
  }, /*#__PURE__*/React.createElement(Icons, {
    icon: param_icon
  })));
};